blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
a2d19524fa46091db9131935d19450abb137b678
Shell
shell909090/utils
/7z/7zdir
UTF-8
77
2.515625
3
[]
no_license
#!/bin/bash for i in "$@" do 7z a -ms=off "$i.7z" "$i" rm -rf "$i" done
true
a3c6880ccef1a2aa31dcdb0d7e099c1a61346548
Shell
martin34/codewars
/shell/latest/wait_for_new_file.sh
UTF-8
295
3.546875
4
[]
no_license
#!/bin/sh SCRIPT_DIR=$(dirname $(readlink -f $0)) . $SCRIPT_DIR/input_args.sh wait_for_new_file_in() { set_TARGET_DIR_from_input $1 echo "Wait for new file in $TARGET_DIR" # sudo apt-get install inotify-tools inotifywait -e modify $TARGET_DIR echo "New file was created" return 0 }
true
2ae679e66822a88a3723e2feb5bed83cb3387d89
Shell
conp-solutions/automated-reasoner-builds
/building/build-aigbmc.sh
UTF-8
2,184
4.09375
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # # Copyright Norbert Manthey, 2019 # # This script builds aigbmc as a statically linked binary # in case something goes wrong, notify! set -ex # name of the tool we build declare -r TOOL="aigbmc" declare -r TOOL_URL="" # does not come with git repository (yet?) # declare a suffix for the binar...
true
e564dac8f3a5e5cbe9bd9ad6ab0a87f20905d035
Shell
tipsi/tipsi-dropdown
/scripts/post-link-ios.sh
UTF-8
654
3.921875
4
[ "MIT" ]
permissive
#!/bin/sh if [ "$(uname)" != "Darwin" ]; then echo "Current OS is not macOS, skip iOS linking" exit 0 fi ios_dir=`pwd`/ios if [ -d ios_dir ]; then exit 0 fi podfile="$ios_dir/Podfile" pod_dep="pod 'TPSDropDown', '~> 1.0'" echo "Checking Podfile in iOS project ($podfile)" if [ ! -f $podfile ]; then echo "Ad...
true
8e38df083a2acbc9124d6998c2c9ec4e8922afbd
Shell
daavvis/vendor_samsung_degaswifi
/proprietary/bin/run_composite.sh
UTF-8
5,394
3.328125
3
[]
no_license
#!/system/bin/sh setprop sys.telephony.default.loglevel 8 MODULE_DIR=/lib/modules insmod $MODULE_DIR/msocketk.ko insmod $MODULE_DIR/cploaddev.ko insmod $MODULE_DIR/seh.ko # load cp and mrd image and release cp /system/bin/cploader ret="$?" if [ ! -e $NVM_ROOT_DIR ]; then mkdir -p $NVM_ROOT_DIR chown system.syste...
true
771b5c8fda16fb105747227ad24a1640d29a2c21
Shell
tangzhenquan/estool
/build.sh
UTF-8
644
3.765625
4
[]
no_license
#!/bin/bash INSTALL_DIR=`pwd`"/build/bin" function build() { echo "Building $1 ..." if [ -f "$1/Makefile" ]; then build_cwd=`pwd` cd $1 make install DESTDIR=$2 if [ "$?" != "0" ]; then echo "$1 failed" exit 1 else echo "$1 done" fi cd $build_cwd else echo "not found Mak...
true
18a5c2ed8e8a10d6c92176f26e3723b1ff0afe31
Shell
Azure/batch-shipyard
/scripts/shipyard_cascade.sh
UTF-8
6,263
3.703125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash log() { local level=$1 shift echo "$(date -u -Ins) - $level - $*" } # globals block= cascadecontainer=0 cascade_docker_image= cascade_singularity_image= concurrent_source_downloads=10 envfile= is_start_task=0 log_directory= prefix= singularity_basedir= # process command line options w...
true
3056705d465749ba89ffab489c1892ab56da1878
Shell
hiennc24/mstep
/sh/import_weather.sh
UTF-8
517
2.90625
3
[]
no_license
#!/usr/bin/env bash . ./function.sh DEVELOP_MODE=`isDevelop` DEV_PHPDIR_DUC='D:/xampp/htdocs/SpcMstep-master/php/import_weather.php' DEV_PHPDIR_HIEN='D:/xampp/htdocs/SpcMstep-master/php/import_weather.php' DEV_PHPDIR_KIYOSAWA='/Applications/XAMPP/htdocs/Mstep/php/import_weather.php' PHP=$DEV_PHPDIR_DUC if [ $DEVEL...
true
d688f7bfcbef30c0bfdffc08e7937a4e1f0231a4
Shell
simonebaracchi/tsh
/install.sh
UTF-8
2,087
3.71875
4
[ "MIT" ]
permissive
#!/bin/bash printf "Downloading & Installing Packages...\n" apt-get install -y python nmap dnsutils mtr python-pip && pip install telepot printf "\n\n--------------------------------\n\n" echo "Enter your Telegram BOT Token. " echo "Telegram BOT Token can be asked to BotFather. " read -r TG_BOT_TOKEN echo "bot_token ...
true
0a35a8d95fdd8d7bf4a07900c1c34cdfffb42a6e
Shell
ldgabet/oracle_wp
/instance_web/docker/nginx/cloudflare-sync-ips.sh
UTF-8
899
3.375
3
[]
no_license
#!/bin/sh CLOUDFLARE_FILE_PATH=/etc/nginx/global/cloudflare.conf CURRENTDATE=`date +"%Y-%m-%d %T"` echo "# File generated ${CURRENTDATE}" > $CLOUDFLARE_FILE_PATH; echo "" >> $CLOUDFLARE_FILE_PATH; echo "# Cloufdlare's IPs (https://www.cloudflare.com/fr-fr/ips/)" >> $CLOUDFLARE_FILE_PATH; echo "" >> $CLOUDFLARE_FILE_...
true
6793f20548a9259d80b924179a0c4b5d2c5d6369
Shell
angular/material.angular.io
/tools/deploy.sh
UTF-8
1,791
3.359375
3
[ "MIT" ]
permissive
#!/bin/bash set -eu -o pipefail declare -A PROJECT_ID # Firebase project ids PROJECT_ID["stable", "dev"]="material2-docs-dev" PROJECT_ID["stable", "prod"]="material-angular-io" PROJECT_ID["stable", "beta"]="beta-angular-material-io" PROJECT_ID["v5", "dev"]="material-docs-dev-v5" PROJECT_ID["v5", "prod"]="v5-materia...
true
615fcb1fae295479cc2a80f1f8ff4018083d678d
Shell
frgomes/bash-scripts
/bin/trim
UTF-8
124
2.796875
3
[ "BSD-2-Clause" ]
permissive
#!/bin/bash -eu function __trim() { which tr >/dev/null 2>&1 || apt+ install coreutils tr -d [:blank:] $* } __trim $*
true
06d7d33d808c73857272a6ec6765e41f40596244
Shell
zcash/lightwalletd
/testclient/stress.sh
UTF-8
1,092
3.796875
4
[ "MIT", "AGPL-3.0-only", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash # # Create a CSV file with various performance measurements # set -e test $# -eq 0 && { echo "usage: $0 iterations op(getlighdinfo|getblock|getblockrange)";exit 1;} iterations=$1 op=$2 export p=`pidof server` test -z $p && { echo 'is the server running?';exit 1;} set -- $p test $# -ne 1 && { echo 'server pi...
true
d4557ae42dd24a0c8f7da7a47e1791e5c1a6cea0
Shell
petronny/aur3-mirror
/trac-0.11-accountmanagerplugin/PKGBUILD
UTF-8
801
2.515625
3
[]
no_license
# Contributor: Kevin van Andel <actreon at gmail dot com> pkgname=trac-0.11-accountmanagerplugin pkgver=7731 pkgrel=1 pkgdesc="User account management plugin for Trac 0.11" arch=('i686' 'x86_64') url="http://trac-hacks.org/wiki/AccountManagerPlugin" license="THE BEER-WARE LICENSE" makedepends=("python>=2.5" "setuptool...
true
b8a8bb976b8609b57ea1dbf5aa527bceb8c46207
Shell
krush11/personal
/system errors/dpkg_error1.sh
UTF-8
1,166
3.484375
3
[]
no_license
#! /bin/bash # Error: Sub-process /usr/bin/dpkg returned an error code (1) # Reason: Happens when a software installation failed and the installer(dpkg) becomes corrupted # Possible repercussions: `sudo dpkg --configure -a` fails and dpkg warnings # !IMPORTANT! : This package is not supposed to be run as a script even...
true
dd208eeef74505b0feb3905dce59b5d911ef73cb
Shell
waman/java10-vagrant
/install_java10.sh
UTF-8
569
3.40625
3
[]
no_license
#!/usr/bin/env bash for f in /vagrant/archive/*jdk*_linux-x64_bin*.tar.gz; do jdk=$f done if [[ $jdk == "/vagrant/archive/*jdk*_linux-x64_bin*.tar.gz" ]]; then defaultjdk=openjdk-10_linux-x64_bin.tar.gz wget -q -O /vagrant/archive/${defaultjdk} https://download.java.net/java/GA/jdk10/10/binaries/${defaultjdk} ...
true
a3be917355fee5f2a05745455f043dea93b62054
Shell
cuongnb14/cookbook
/database/export.sh
UTF-8
764
3.515625
4
[ "MIT" ]
permissive
#!/bin/bash # Requirements :mysqldump (sudo apt-get install mysql-client) # Upzip file: gzip -d ${DIR_BACKUP}/${FILE_BACKUP}.sql.gz # # Add cronjob Every 1 hour # 0 * * * * /path/to/export.sh # ----------------------------------------------------------- MYSQL_HOST='127.0.0.1' MYSQL_PORT='3306' MYSQL_USER='root' MYSQ...
true
72846782371d7e948748b3e9d07b6128190501a8
Shell
dtolabs/yana2
/src/main/rerun/modules/yana/commands/typerelations/default.sh
UTF-8
1,870
3.546875
4
[]
no_license
#!/bin/bash # # NAME # # typerelations # # DESCRIPTION # # manage nodetype relations # # Read module function library source $RERUN_MODULES/yana/lib/functions.sh || exit 1 ; # # Initialize the context # yana_initialize $CFG || rerun_die "Yana initialization failed" # Parse the command options [ -r $RERUN_MODULES...
true
b7d109dfc3a57f3a64def41562d00a90f87ba0c8
Shell
tatyana-ruzsics/uzh-corpuslab-pos-normalization
/src/Main-wus-soft-train-pos.sh
UTF-8
2,628
2.65625
3
[]
no_license
#!/bin/bash # Usage Main-wus-soft-train-pos.sh model_file_name data_folder data_prefix use_aux_loss_and/or_pos_feat # ./Main-wus-soft-train-pos.sh norm_soft wus/phase2/btagger wus # ./Main-wus-soft-train-pos.sh norm_soft_pos wus/phase2/btagger wus # ./Main-wus-soft-train-pos.sh norm_soft_context wus/phase2/btagger wus ...
true
140901f65fc42ae5c41c5c9035f1ea921fdb6f22
Shell
duckinator/dotfiles
/.bashrc
UTF-8
2,888
3.78125
4
[]
no_license
# If not running interactively, don't do anything. case $- in *i*) ;; *) return;; esac # Shell Options # https://www.gnu.org/software/bash/manual/html_node/The-Shopt-Builtin.html shopt -s autocd checkjobs checkwinsize globstar histverify # Source global definitions [ -f /etc/bashrc ] && . /etc/bash...
true
d0fc2891229970e7f2970d74cff8f7d108c82f7c
Shell
dst-umms/i2b2-quickstart
/scripts/postgres/load_data.sh
UTF-8
2,400
2.890625
3
[]
no_license
load_demo_data(){ #BASE="/home/ec2-user/i2b2-install" BASE=$1 DATA_BASE="$BASE/unzipped_packages/i2b2-data-master" PARG=$2 IP=$3 cd "$DATA_BASE/edu.harvard.i2b2.data/Release_1-7/NewInstall/Crcdata/" echo ">>>>>pwd:$PWD IP:$IP" #local POPTS="dbname=i2b2 options=--search_path='i2b2demodata'" cat scripts/c...
true
e5942b5df72fe46a339a954668fb39b4cd970543
Shell
TomMannson/Finject
/tool/local_analize
UTF-8
1,965
3.296875
3
[ "MIT" ]
permissive
#!/bin/bash -- # Copyright (c) 2016, Google Inc. Please see the AUTHORS file for details. # All rights reserved. Use of this source code is governed by a BSD-style # license that can be found in the LICENSE file. set -e directories="finject finject_generator finject_flutter" parent_directory=$PWD echo "" echo "####...
true
37c061828997ac4f8ca65427bd91da1019d5800b
Shell
rikuu/eval-error-correction
/scripts/master.sh
UTF-8
1,755
3.96875
4
[]
no_license
#!/bin/bash # # Runs error correction tools and logs the disk, memory and swap statistics and # the cpu time and elapsed time # if [[ "$#" -lt 2 ]]; then echo "Usage: $0 <lorma|proovread|pbcr|lordec> [lorma parameters] <long reads> [short reads]" 1>&2 exit 1 fi DIR=$(cd "$(dirname "${BASH_SOURCE[0]}" )" && pwd) S...
true
89a9b717c6d4435870ab8323399ce2fbdb51bf00
Shell
carlhuth/cookbook-openvas
/script/jenkins
UTF-8
1,080
3.21875
3
[]
no_license
#!/bin/bash set -e set +x COOKBOOK=`echo $JOB_NAME | sed 's/_cookbook//'` COOKBOOK_PATH="/var/lib/jenkins/workspace/$JOB_NAME" CHEF_GEMS_PATH="/var/lib/jenkins/chefgems" # Set the cookbook path echo -n "Setting the cookbook path... " if ! [ -d ".chef" ] then mkdir .chef fi cat /var/lib/jenkins/.chef/k...
true
709f5c1ddcd72f14bccd446808ac6958c8561aa0
Shell
aperezca/CMS-global-pool-monitor
/make_html/make_html_global_pool_collector.sh
UTF-8
5,437
2.84375
3
[]
no_license
#Interval to plot in hours int=$1 let n_lines=6*$int if [[ $int -gt "168" ]]; then #put plots longer than one week at another location long="long" else long="" fi ratio=1 if [[ $int -gt "720" ]]; then ratio=2; fi # more than 1 month if [[ $int -gt "1440" ]]; then ratio=3; fi # more than 2 months if [[...
true
b40144ad7745178c85253454853f0ea1ae7f611b
Shell
OckhamConsulting/mlc-deployer
/app/args.sh
UTF-8
6,327
3.375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash parse_json_config() { if [[ "$CONFIG_PROCESSED" == "Y" ]]; then return 1 fi if [[ -f "$CONFIG" ]]; then KEYS=$(jq -r '. | keys[]' "$CONFIG") for KEY in $(jq -r '. | keys[]' "$CONFIG"); do case $KEY in "nodeIp") NOD...
true
ef6effe8e548fcaa8df4bf825831e18a014a296a
Shell
dh-thesis/build
/init
UTF-8
705
2.625
3
[]
no_license
#!/usr/bin/env bash echo "-------------------------" echo "START BUILDING DH-THESIS" echo "-------------------------" echo "" echo "CLONE REPOSITORIES" echo "" mkdir dh-thesis cd dh-thesis git clone https://github.com/dh-thesis/crawl.git git clone https://github.com/dh-thesis/retrieve.git echo "" echo "PREPARE RETRIEVA...
true
608ce46c953651ae13b7b014804c6e754c787587
Shell
ecogit-stage/terraform-vsphere-single-vm-disk
/files/volume.sh
UTF-8
211
2.53125
3
[ "MIT" ]
permissive
#!/bin/bash vgchange -ay pvcreate $1 vgcreate data $1 lvcreate --name data1 -l 100%FREE data mkfs.ext4 /dev/data/data1 mkdir -p /data echo '/dev/data/data1 /data ext4 defaults 0 0' >> /etc/fstab mount /data
true
d489f7c62faf49358007f35f303a8a2f78971259
Shell
carp-lang/Carp
/scripts/release.sh
UTF-8
1,172
4.28125
4
[ "MIT", "Apache-2.0" ]
permissive
#!/usr/bin/env sh set -e; name=$1 noprompt=$2 if [ "$name" = "" ]; then echo "ERROR: Must pass a name of the release as the first argument to this script."; exit 1; fi fullPath="$PWD/releases/$name" echo "Creating release '$name'" echo "Full path = '$fullPath'" if [ "$noprompt" = "--noprompt" ]; then ech...
true
19b1113949f97258e16a7f8cc710178cd68cf990
Shell
carloscuesta/dotfiles
/osx/software/npm-packages.sh
UTF-8
380
2.921875
3
[ "MIT" ]
permissive
source './osx/utils.sh' # npm_packages : Asks to install these package through npm. npm_packages() { if cmd_exists "npm"; then print_in_blue "Updating npm ..." execute "npm update -g npm" print_in_blue "npm packages" npm_install "gitmoji-cli" npm_install "@antfu/ni" else print_error 'npm not installe...
true
2a11b8fc89288ffd58915a568c2acbe8245eb3d2
Shell
mowenGithub/Clutch
/docs/publish-docs
UTF-8
400
2.640625
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash CURRENT=`pwd` make clean && make html cd /tmp mkdir clutchdocswork cd clutchdocswork git clone git@github.com:clutchio/clutchio.github.com.git cd clutchio.github.com git checkout --orphan master git rm -rf . cp -R $CURRENT/_build/html/* . touch .nojekyll git add . git commit -a -m "Generate ...
true
4eff404f71c6048b450241ed7b1d98e59d6c7f1c
Shell
somasis/beginning-scripts
/xdg-runtime-dirs
UTF-8
1,476
3.828125
4
[ "ISC" ]
permissive
#!/bin/bash xdg-runtime-dirs_exists() { true } xdg-runtime-dirs_start() { [[ -d "@@runstatedir@@"/user ]] || mkdir "@@runstatedir@@"/user >/dev/null 2>&1 for u in $(cut -f1,3-4 -d ':' "@@sysconfdir@@"/passwd);do user=${u%%:*} gid=${u##*:} uid=${u%:*}; uid=${uid##*:} status ...
true
894ab9b7d059233c6d3b35f75250190511b58a90
Shell
magicalcosmos/project-structure
/appctl.sh
UTF-8
729
4
4
[]
no_license
#!/bin/sh DIR=`pwd` NODE=`which node` # get action ACTION=$1 # help usage() { echo "Usage: ./appctl.sh {start|stop|restart}" exit 1; } get_pid() { if [ -f ./run/app.pid ]; then echo `cat ./run/app.pid` fi } # start app start() { pid=`get_pid` if [ ! -z $pid ]; then echo 'server is already running' else $NO...
true
79d433e6211153989cb8f6a966915d29b98e823e
Shell
mgup73/scripts
/fil.sh
UTF-8
156
2.828125
3
[]
no_license
#!/bin/bash vim ab.txt ls -l | grep -v '^d' > ab.txt for b.txt in ./* ; do mv "$file" "$(echo $file|sed -e 's/\([A-Z]\)/_\L\1/g' -e 's/^.\/_//')" done
true
bfb1a60cccc4766e1c7fbc5cf8faf8af6810dc0e
Shell
krjoshi/tegu
/system/tegu_req.ksh
UTF-8
18,676
2.90625
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env ksh # vi: sw=4 ts=4: # # --------------------------------------------------------------------------- # Copyright (c) 2013-2015 AT&T Intellectual Property # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You ma...
true
52572a285d45a4d780076c6f21fb34680aef4953
Shell
hasufell/docker-gentoo-teamspeak
/start.sh
UTF-8
878
2.921875
3
[]
no_license
#!/bin/bash set -e print_cmd_args() { local i local cmd_args=( default_voice_port voice_ip create_default_virtualserver machine_id filetransfer_port filetransfer_ip query_port query_ip clear_database logpath dbplugin dbpluginparameter dbsqlpath dbsqlcreatepath licensepath createinifi...
true
d0a97cec5a1aa1110993b2d3388450c7f2f40cb4
Shell
jeremyary/performance-addon-operators
/build/assets/scripts/pre-boot-tuning.sh
UTF-8
1,115
3.28125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -euo pipefail SYSTEM_CONFIG_FILE="/etc/systemd/system.conf" SYSTEM_CONFIG_CUSTOM_FILE="/etc/systemd/system.conf.d/setAffinity.conf" if [ -f /etc/sysconfig/irqbalance ] && [ -f ${SYSTEM_CONFIG_CUSTOM_FILE} ] && grep -ls "IRQBALANCE_BANNED_CPUS=${RESERVED_CPU_MASK_INVERT}" /etc/sysconfig/irqbal...
true
22447a8734819c19eefcaaed9e94053697ac055c
Shell
RaffaeleCanale/scripts-rabbitmq
/src/rabbitmq
UTF-8
1,064
3.578125
4
[]
no_license
#!/bin/bash function declareConstants() { $1 HOST "__HOST__" $1 AUTH "__AUTH__" } function printHelp() { cat << EOF Publish an RabbitMQ message to an exchange Usage: $PROGNAME `green "<key> <payload>"` `cyan "--exchange <exchange>"` Options: `cyan exchange`: Name of the excha...
true
76ab7150b90a9589e9aee3815b26dba23b2747fb
Shell
Edert/DCS_predictions_chr
/run_pd_homerpd.sh
UTF-8
2,632
3.390625
3
[ "MIT" ]
permissive
NAME=$1 SET=$2 TOOL=$3 mkdir -p results/$TOOL results/$TOOL/$SET mkdir -p log/$TOOL files=$(ls results/$TOOL/$SET/*.bed 2> /dev/null | wc -l) if [ "$files" = "0" ]; then echo "running $TOOL with: $1 $2 $3" #$4 $5 $6 $7 $8 $9 $10 $11 $12 $13 $14 $15" OUT_NAME=$(basename $NAME _sample1-rep1_mm) LOG="../../../...
true
6c0589d0a7c522508ce404186840ea33a9dd9ebb
Shell
IPv6-mPvD/pvdd
/tests/pvdid-get-hflag.sh
UTF-8
193
2.828125
3
[]
no_license
#!/bin/sh . `dirname $0`/check-nc.sh if [ $# != 1 ] then echo "usage : $0 pvdname" exit 1 fi echo PVD_GET_ATTRIBUTES "$@" | $NC 0.0.0.0 10101 | awk '/hFlag/ { print $3 }' | sed -e 's/,//'
true
0823b4db15b803fb1ee8c3b853d9e3ce5792998d
Shell
LucasHell/Bachelor-project
/runTTV.sh
UTF-8
2,247
3.65625
4
[]
no_license
#!/bin/bash #Bash script to generate files in the correct format for TTVFast, run TTVFast and plot the results #Remove input and output files from when program ran last time rm -r ./TTVFast/c_version/input rm -r ./code/input rm ./TTVFast/c_version/numberPlanets.csv rm ./code/timingErrors.csv rm -r ./code/times/* rm ....
true
a56a9f0c3021986812e897fcf8c22224ed5ff7a1
Shell
thundra-io/thundra-agent-lambda-dotnet-template
/release.sh
UTF-8
348
2.875
3
[]
no_license
#!/bin/sh if [ -z "$NUGET_API_KEY" ]; then echo "NUGET_API_KEY should be set to run the the release script"; exit 1; fi sh ./build.sh VERSION=$(awk -F'[<>]' '/<Version>/{print $3}' ThundraTemplates.nuspec) nuget pack ThundraTemplates.nuspec dotnet nuget push Thundra.Templates.$VERSION.nupkg -k $NUGET_API_KEY -s https:/...
true
719b991ca8431fc142f77012e313cfa308df518a
Shell
Talits/getup-engine-installer
/run
UTF-8
2,809
3.65625
4
[]
no_license
#!/bin/bash export INSTALLER_VERSION=$2 #declare -r INSTALLER_VERSION source prepare-container shift set -eu echo echo "Image: $image_name" echo "Container: $container_name" echo "State dir: $state_dir" echo if [ -e $state_dir/getupengine.env -a -e $state_dir/getupengine.env.enc ] && \ [ $state_dir/getupengi...
true
0f7cb680c209c5b8893ac5122b56bcc233a299af
Shell
escenic/ece-scripts
/usr/share/escenic/ece-scripts/common-os.sh
UTF-8
7,782
3.96875
4
[ "Apache-2.0" ]
permissive
#! /usr/bin/env bash # Platform/OS specific methods. # # by torstein@escenic.com # depends on common-bashing common_bashing_is_loaded > /dev/null 2>&1 || source "${BASH_SOURCE[0]%/*}/common-bashing.sh" ## Only used if the Tomcat download mirror couldn't be determined fallback_tomcat_url="http://apache.uib.no/tomca...
true
3be39c12cadb7e4b5b1766bef65463ee861382c4
Shell
dufferzafar/dotfiles
/bootstrap.sh
UTF-8
1,815
2.890625
3
[]
no_license
# Get script's folder # http://stackoverflow.com/a/246128 DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) # Git ln -sf "$DIR/.gitconfig" ~/.gitconfig ln -sf "$DIR/.gitignore" ~/.gitignore ln -sf "$DIR/.gitattributes" ~/.gitattributes # Ranger mkdir -p ~/.config/ranger for file in $DIR/ranger/*; do ln -sf "$...
true
72c26cec20fa7ae44140c8a8f4107ce5ab2920bf
Shell
pengeorge/GridEngineMonitor
/print-cpu-temp.sh
UTF-8
648
3
3
[ "Apache-2.0" ]
permissive
#!/bin/bash temps=`sensors | perl -e ' $max = -1; $min = 999; $sum = 0; $count = 0; while(<>) { chomp; if (/Core/) { if (/([\+\-].*)°C \(high = (.*), crit = (.*)\)/) { $temp = $1; if ($temp > $max) { $max = $temp; } if ($temp < $min) { $min =...
true
462dfed8c4e3db4703d93c688958b56adc29cae0
Shell
anthonyshort/dotfiles
/bootstrap.sh
UTF-8
1,350
4.15625
4
[]
no_license
#!/bin/bash cd "${HOME}/.dotfiles" # Pull down the latest changes. git pull origin master # Check out submodules. git submodule --quiet update --init cd "${OLDPWD}" function link() { # Force create/replace the symlink. ln -fs "${HOME}/.dotfiles/${1}" "${HOME}/${2}" } function mirrorfiles() { # Copy `....
true
1750bdd90513efb3d2ca8668c4231c5b4a9eef8e
Shell
team-caduceus/RPi-Surveillance
/bugfree.sh
UTF-8
2,668
3.28125
3
[]
no_license
case "$1" in remove) sudo killall raspimjpeg sudo apt-get remove -y apache2 php5 libapache2-mod-php5 gpac motion sudo apt-get autoremove -y sudo rm -r /var/www/* sudo rm /usr/local/bin/raspimjpeg sudo rm /etc/raspimjpeg sudo cp -r etc/rc_local_std/rc.local /e...
true
dcee218cb39fab3743575ff547e1e62755316c6f
Shell
wlcx/dotfiles
/.zshenv
UTF-8
381
2.859375
3
[]
no_license
# # Defines environment variables for all sessions # export PATH=$HOME/.local/bin:$PATH export EDITOR='vim' export SUDO_EDITOR='vim' export PAGER='less' if [[ "$OSTYPE" == darwin* ]]; then export BROWSER='open' fi # Source cargo if [[ -s "$HOME/.cargo/env" ]]; then source "$HOME/.cargo/env" fi if [[ -s "$HOME...
true
444f3e81727f5daab99fd9ef4aaf95ac4b0ffef2
Shell
lisabronwyn/186-unix-bash
/command-line/4.3-exercises.sh
UTF-8
589
3.25
3
[ "MIT" ]
permissive
#Q: How do the effects of cd and cd ~ differ (or do they)? they are the same #Q: Change to text_directory, then change to second_directory using the "one directory up" double dot operator. cd text_directory cd .. #Q: From wherever you are, create an empty file called nil in text_directory using whatever method you ...
true
2ad076ca5d551141adc91d0971c5fbf578a000eb
Shell
end2end-network/end2end-install
/install.sh
UTF-8
3,706
3.96875
4
[]
no_license
#!/bin/bash function docker_install { #add docker repo, install docker apt update apt install -y apt-transport-https ca-certificates curl software-properties-common curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - add-apt-repository "deb [arch=amd64] https://download.docker....
true
8268a7b59e39ebbd1cb936eb7f25c015a9aa71c3
Shell
ccmbioinfo/dti-processing
/registration.sh
UTF-8
420
2.671875
3
[]
no_license
#!/bin/sh atlas=/hpf/projects/brudno/data/language/atlas-aal/ROI_MNI_V5.nii mni=$FSLDIR/data/standard/MNI152_T1_2mm_brain for D in */ do cd $D flirt -in corr_brain.nii.gz -ref $mni -out corr_mni -omat corr_mni.mat convert_xfm -omat mni_to_corr.mat -inverse corr_mni.mat flirt -in $atlas -applyxfm -init m...
true
497b82f2340ad1f4b664483f7eb9f448c13793c7
Shell
christophschubert/cp-docker-images-reloaded
/base-image/include/etc/confluent/docker/bash-functions.sh
UTF-8
820
3.765625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash #fail when a subprogram fails set -e # Usage: function exit_if_not_set { param=$1 if [[ -z ${!param} ]] then echo " Required environment variable $param not set" exit 1 fi } function warn_jmx_rmi_port { param=$1 RMI_PORT="com.sun.management.jmxremote.rmi.port" if [[ -n ${!p...
true
4b662302d5cdbec0ff9ff41f5b1d598d172033c0
Shell
sankpalvrishabhz/linux-content
/assignments/Day04/specific_hours.sh
UTF-8
500
2.921875
3
[]
no_license
echo -e "\n a) View access.log without opening it using editor\n" cat ../access.log echo -e "\n b) Print web responce code field which has given timestamp\n" grep 20/Sep/2019 ../access.log | awk '{print $9}' echo -e "\n c) Sort extracted responce code and count it\n" cat ../access.log | awk '{print $9}' | sort echo -e ...
true
c3724ddd243c242f7980fcaa8dfd97da18187005
Shell
Yasumoto/jimmeh
/bootstrap.sh
UTF-8
539
3.234375
3
[]
no_license
#!/bin/sh set -eux VERSION="1.9.0" HARDWARE="$(uname -m)" if [ "$HARDWARE" = "x86_64" ]; then HARDWARE="amd64" fi if [ -f /etc/lsb-release ]; then OS="linux" else OS="darwin" fi FILENAME="https://github.com/bazelbuild/bazelisk/releases/download/v${VERSION}/bazelisk-${OS}-${HARDWARE}" if [ -f "./${FILE...
true
9a4e1e8ab3ac3f5f9ff7ccca8901759e7c9b2d3d
Shell
alvelcom/.dots
/zshrc
UTF-8
3,103
2.90625
3
[]
no_license
if [ -r /proc/loadavg ] && [[ `cut -f1 -d' ' /proc/loadavg` > 3 ]] then echo "zsh running in failsafe mode" export FAIL_SAFE=1 else export FAIL_SAFE="" fi # Set up the prompt autoload -Uz promptinit promptinit autoload colors colors # Allow for functions in the prompt. setopt PROMPT_SUBST # VCS_INFO if ...
true
37d8bd9e75340a61f0ca256f2a4d0dae9bf3dad9
Shell
and3rsonls/Linux-From-Scratch
/lfs-systemd/stage4/cpio
UTF-8
958
3.328125
3
[]
no_license
#!/bin/bash set -e TMP=${TMP:-/tmp/work} LOG=${LOG:-$HOME/logs/stage4} SRC=${SRC:-/sources} name=cpio version=2.13 rm -rf $TMP mkdir -p $TMP $LOG tar xf $SRC/$name-$version.tar.bz2 -C $TMP { time \ { cd $TMP/$name-$version sed -i '/The name/,+2 d' src/global.c ./configure --prefix=/usr \ ...
true
e8bbfd4c07806c21c9e798feea31761631ca4c66
Shell
imatharv/Shell-Programming-Constructs
/array/second-largest-smallest-with-sort.sh
UTF-8
350
3.484375
3
[]
no_license
#!/bin/bash max=10 count=0 while [[ $count -lt $max ]] do number[$count]=$((RANDOM%999)) count=`expr $count + 1`; done echo "The 10 array values : ${number[@]}" x=$(echo '%s\n' "${no[@]}" | sort -n | head -2 | tail -1) echo "The 2nd small No : $x" y=$(echo '%s\n' "${number[@]}" | sort -n | tail -2 | head -1) ec...
true
efa479833c56704752ae3f9e794eb10f6182b448
Shell
DRSC-FG/biolitmine
/start_xml_1_batch_no_slurm.sh
UTF-8
2,668
3
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # # This is the first step Extract the xml files using R # Places them in the data_extracted directory # Configuration files in rscripts/ # rscript/config_baseline.R and rscript/config_update.R # # Default Directories, create if needed # mkdir -p data_extracted/baseline mkdir -p data_ex...
true
cd15d486f9325bb39e1ed9002b5d83a92734805a
Shell
ChipWolf/heph-mc-service
/home/minecraft/srvctrl.sh
UTF-8
5,615
3.625
4
[]
no_license
#!/bin/bash # version 0.2.0 2015-05-18 # VARS USERNAME="minecraft" SERVICE='minecraft_server.jar' MCPATH="/home/$USERNAME/minecraft" BACKUPPATH="/home/$USERNAME/backup" CHECKSERVER="/home/$USERNAME/checksrv" CRASHLOG_DB_PATH='/home/$USERNAME/crashdb' JAVA_HOME="/usr/bin/java" MEMORY_OPTS="-Xmx4G -Xms4G" JAVA_OPTIONS="...
true
33a4bc539f4612d56f05e3f327a91f94cb3532db
Shell
viniciusferrao/sysadmintoolkit
/enableSite.sh
UTF-8
1,609
3.515625
4
[ "Apache-2.0" ]
permissive
#!/bin/sh # Exit in case of failure set -e FQDN=$1 WWW_PATH=/var/www/html ACME_SH_PATH=/root/.acme.sh echo Creating directory mkdir -p $WWW_PATH/$FQDN echo Generating SSL certificates using the default website $ACME_SH_PATH/acme.sh --issue --stateless -k ec-384 -d $FQDN -d www.$FQDN echo Installing certificates $AC...
true
1afac30e6d9ff3939298c798785c8e0edfa64e66
Shell
zhenkun/crete-dev
/misc/scripts/parse-result/compare_test.sh
UTF-8
605
2.859375
3
[ "BSD-2-Clause-Views" ]
permissive
REF_1=$1 REF_2=$2 PROGRAMS="base64 basename cat cksum comm cut date df dircolors dirname echo env expand expr factor fmt fold head hostid id join logname ls nl od paste pathchk pinky printenv printf pwd readlink seq shuf sleep sort stat sum sync tac tr tsort uname unexpand uptime users wc whoami who" # PROGRAMS="base...
true
1362af7277628c8c6e9c905160a0ff0c73b65e7e
Shell
data-enthusiast-0/chicago-taxi
/statsProject/processData.sh
UTF-8
2,387
3.46875
3
[]
no_license
#!/bin/bash # # Ashish Agarwal (ashish.agarwal.chicagobooth.edu) # # File to process sample data - Taxi_Data_Sample_*.csv # # Remove data where trip Fare=0; compute # check present working directory # echo $PWD # input file # input="/Users/ashish/Documents/Workspace/statsProject/sampleData.csv" input="Taxi_Data_...
true
ca538c8ad0c691c2a91a70fe7596139bc48897af
Shell
mitchellurgero/BashScripts
/Backup Scripts/backup-www.sh
UTF-8
728
3.78125
4
[]
no_license
#! /bin/bash # Make the following DIR's: # /temp # /backups ## START CONFIG TIMESTAMP=$(date +"%F") BACKUP_DIR=/temp/My-Backup-$TIMESTAMP MYSQL_USER="USERNAME" MYSQL=/usr/bin/mysql MYSQL_PASSWORD="PASSWORD" MYSQLDUMP=/usr/bin/mysqldump DATABASE=DB_TO_BACKUP ## END CONFIG mkdir -p "$BACKUP_DIR/mysql" $MYSQLDUMP --forc...
true
b627287e04e9a09151323475906f487ba027292c
Shell
lightster/pier-11
/bin/vagrant/install-rvm.sh
UTF-8
354
2.90625
3
[ "MIT" ]
permissive
#!/bin/bash set -e if ! which rvm ; then apt-get update -qq -y apt-get install -qq -y software-properties-common apt-add-repository -y ppa:rael-gc/rvm 2>&1 apt-get update -qq -y apt-get install -qq -y rvm usermod -aG rvm ubuntu source /etc/profile.d/rvm.sh rvm install --quiet-curl 2.4.1 rvm use ...
true
8674b996f686109508cf9705bc81647c6564fcda
Shell
anthonee619/dotfiles
/dotfiles_setup.sh
UTF-8
922
2.796875
3
[]
no_license
#!/bin/bash ######################################################## ############### General ############################## ######################################################## # neovim, docker, nodejs, ######################################################## ############### Desktop ##########################...
true
3e4f057c23d05ae1ad0288805743a9b6b0fa3c07
Shell
Jamol/Build-scripts
/ffmpeg/build-ffmpeg-android.sh
UTF-8
1,591
2.84375
3
[]
no_license
#!/bin/sh CURRENTPATH=`pwd` CC_VER=4.9 NDK_ROOT=$ANDROID_NDK_HOME PREBUILT=$NDK_ROOT/toolchains/arm-linux-androideabi-$CC_VER/prebuilt/darwin-x86_64 PLATFORM=$NDK_ROOT/platforms/android-24/arch-arm CPU=armv7-a OPTIMIZE_CFLAGS="-mfloat-abi=softfp -mfpu=vfpv3-d16 -marm -march=$CPU " PREFIX=$(pwd)/android/$CPU ADDITIO...
true
43fe2665b3ce9ace2c38455a5989ac961d384b85
Shell
jiazemin/docker-hadoop-eco-sys
/hadoop/scripts/bin/update_cluster_xml_files.sh
UTF-8
2,392
3.578125
4
[]
no_license
#!/usr/bin/env bash source ${DOCKER_CLUSTER_TOOLS_BIN_DIR}/docker_cluster_tools_lib.sh log "[UPDATE_CLUSTER_XML_FILES][BEGIN]" file_config="" if [ $(find "${DOCKER_CLUSTER_TOOLS_SHARED_CONF_DIR}" -maxdepth 1 -type f -name "*.yaml" | wc -l) -lt 1 ] then log "[UPDATE_CLUSTER_XML_FILES][WARNING] No yaml configuration fi...
true
5f23f17da131ac3512a2761bd02325fa8b7fafe2
Shell
kisscool/shell-dancer
/dancer.sh
UTF-8
4,006
3.5625
4
[ "MIT" ]
permissive
#!/bin/sh # vim: set softtabstop=2 shiftwidth=2 expandtab : # Original author : KissCool # Created : 2013 # License : MIT license ##################################################################### # Theory : ##################################################################### # A route is the comb...
true
4789f249c41ec587a0f52ab8f9fded27a33d009f
Shell
aceofall/StudyEx
/bash/bash_shell7/say.sh
UTF-8
338
3.375
3
[]
no_license
#!/bin/bash echo q를 입력하면 종료합니다. go=start while [[ -n "$go" ]] # 변수에 큰따옴표를 확인하라. do echo -n 종료하려면 q를 입력하세요. : read word if [[ $word == [Qq] ]] # 예전 스타일 : [ "$word" = q -o "$word" = Q ] then echo "q를 입력하셨네요. 종료합니다. " go= fi done
true
58b47822ff7e0680cec0618961c7eb75eb953aaa
Shell
WhiteTshirtXI/Nek5000_examples
/KMM_Re-tau_180/stats/makenek
UTF-8
1,777
3.296875
3
[]
no_license
#!/bin/bash # Nek5000 build config file # (c) 2008,2009,2010 UCHICAGO ARGONNE, LLC # source path SOURCE_ROOT="/home/prabal/nek5_svn/trunk/nek" # Fortran compiler F77="mpif77" # C compiler CC="mpicc" # pre-processor symbol list # (set PPLIST=? to get a list of available symbols) #PPLIST="?" # plug-in list PLUGI...
true
6036ba3993b5b5dd297efcb9598776e277838ec0
Shell
spetr/chromedock
/scripts/start-server.sh
UTF-8
2,562
2.65625
3
[]
no_license
#!/bin/bash export DISPLAY=:99 export XAUTHORITY=${DATA_DIR}/.Xauthority echo "---Resolution check---" if [ -z "${CUSTOM_RES_W}" ]; then CUSTOM_RES_W=1024 fi if [ -z "${CUSTOM_RES_H}" ]; then CUSTOM_RES_H=768 fi if [ "${CUSTOM_RES_W}" -le 1023 ]; then echo "---Width to low must be a minimal of 1024 pixels, correct...
true
97491935cee0046d109398341ec31eafb9c84670
Shell
Researcher86/php-selenium
/run.sh
UTF-8
497
3.046875
3
[]
no_license
#!/usr/bin/env bash if [ "$1" = "build" ]; then docker-compose build fi if [ "$1" = "up" ]; then docker-compose up -d fi if [ "$1" = "down" ]; then docker-compose down fi if [ "$1" = "php" ]; then docker-compose run php-cli php app/$2 fi if [ "$1" = "test" ]; then docker-compose run php-cli ven...
true
c95f8ee768b57b96d8ed32e8de4cbc14e08d0bc0
Shell
ateek-ujjawal/DedS_a110
/build.sh
UTF-8
1,503
2.890625
3
[]
no_license
#!/bin/bash cd ~/DedS_a110/mediatek/config/s9081 if [ "4.2" == "$1" ]; then echo "4.2 unified selected" Ramdisk="4.2ramdisk" cp 4.2uProjectConfig.mk ProjectConfig.mk elif [ "4.2ics" == "$1" ]; then echo "4.2 ics selected" Ramdisk="4.2ramdisk" cp 4.2icsProjectConfig.mk ProjectConfig.mk elif [ "4.1" == "$1" ]; ...
true
a0d9a30516a1a6f2657952585054ae3918ad500d
Shell
hertzsprung/ninjaopenfoam
/ninjaopenfoam/scripts/gen-controlDict.sh
UTF-8
244
3.234375
3
[ "MIT" ]
permissive
#!/bin/bash set -e display_usage() { echo -e "Usage: gen-controlDict.sh <endTime> <writeInterval> <timestep>\n" } if [ $# -lt 3 ] then display_usage exit 1 fi export endTime=$1 export writeInterval=$2 export timestep=$3 envsubst <&0 >&1
true
030297546f9d98e25b6125240a31f640d977573a
Shell
apiwatch/apiwatch
/assembly/src/bin/apiwatch
UTF-8
2,894
4.03125
4
[ "BSD-3-Clause", "BSD-2-Clause" ]
permissive
#!/bin/sh # * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * # # Copyright (c) 2012, Robin Jarry. All rights reserved. # # # # This file is part of APIWATCH and published under the BSD license. # # ...
true
fccc1338a77dd3a262d53db83319652a51aea7ca
Shell
sadiksha/dailog
/dailog
UTF-8
2,153
4.375
4
[]
no_license
#!/bin/bash ###################################################################################### # Created by Ilya Krasnov on 2016/06/19 # Captures today's tasks. Prints monthly summary ###################################################################################### DIR="/Users/`whoami`/dailog" TODAY=`date +%F...
true
52e1d8afa546b5b51a194426b408295bafccf053
Shell
kmatheussen/common-ladspa-plugins
/build_kokkinizita.sh
UTF-8
1,681
3.078125
3
[]
no_license
#!/bin/bash # COMPILER_FLAGS="-msse2 -mfpmath=sse -O2" ./build_kokkinizita.sh x86_64-w64-mingw32-gcc x86_64-w64-mingw32-g++ build/build_mcp build/dlls if [ -z "$1" ]; then echo "arg1 (CC) is unset"; exit -1 fi if [ -z "$2" ]; then echo "arg1 (CCC) is unset"; exit -1 fi if [ -z "$3" ]; then ech...
true
da33c503b70f95a8572ede62532a003e37514bb1
Shell
DamienRobert/dotfiles
/syst/config/old/new/00install
UTF-8
3,012
4.03125
4
[ "LicenseRef-scancode-warranty-disclaimer", "MIT" ]
permissive
#!/bin/zsh RUNDIR=$(dirname $0) TARGET_DIR="/" TMPSCRIPT="/var/tmp/cur_script" PAUSE= #to run only one script, do #./00install --runfile /dev/null script while true; do case $1 in -- ) break;; --rundir ) shift; RUNDIR=$1; shift ;; --runfile ) shift; RUNFILE=$1; shift ;; --vars ) shift; VARFILE=$1; sh...
true
0b8b12ecec94fea3ad10c899fb26741e71ec1fdb
Shell
URseismology/ADAMA
/NCFsToPVel/run03code.sh
UTF-8
788
2.984375
3
[]
no_license
#!/bin/bash ## loop through all existing text CCF outputs and do 03 code for all pairs ## F changes here for i in /scratch/tolugboj_lab/Prj5_HarnomicRFTraces/AkiEstimate/tutorial/ResultOf02/ResultOf02_02/* do file=$(basename "$i") sta1=$(echo $file | cut -d'_' -f 2) sta2=$(echo $file | cut -d'_' -f 3) pair="$...
true
b68826266ca07234ebd3f4d1d9a0aca8c0c37fbb
Shell
gjbex/training-material
/CPlusPlus/DesignPatterns/Circles/generate_overlap_data.sh
UTF-8
243
2.75
3
[ "CC-BY-4.0" ]
permissive
#!/usr/bin/env bash radius=0.01 for nr_circles in $(seq 50 50 10000) do for nr_avg in $(seq 1 50) do seed=$RANDOM ./random_circles.exe ${nr_circles} ${radius} ${seed} | \ ./circle_overlap.exe done done
true
f4825d8cd2e815f339a300c8be4d262396e50a7c
Shell
loveencounterflow/intershop
/bin/_restart-rpc-server
UTF-8
1,388
3.34375
3
[]
no_license
#!/usr/bin/env bash # http://redsymbol.net/articles/unofficial-bash-strict-mode/ # set -euo pipefail set -eo pipefail #----------------------------------------------------------------------------------------------------------- cd "$(readlink -f "$0" | xargs dirname)"/.. script_path="$(realpath "${BASH_SOURCE[0]}")" #...
true
0414c5ab139b09da54d40f34c10f65f11513c2c8
Shell
Uname-a/knife_scraper
/uninstall.sh
UTF-8
435
3.0625
3
[ "MIT" ]
permissive
#!/bin/bash # uninstall.sh - shell script to deleted files to sopel runtime directory # # Copyright (c) 2015 Casey Bartlett <caseytb@bu.edu> # # See LICENSE for terms of usage, modification and redistribution. # deletes python files in sopel modules directory # should use pip or setup.py sopel_dir = ~/.sopel/knifec...
true
94750583100044958e6ec13c3874b0639db9d75d
Shell
loigu/termuxAndroidHelpers
/bin/postsignum-signature-req-gen.sh
UTF-8
796
3.4375
3
[]
no_license
#!/bin/bash if [ ! -f "$1.pem" -o -z "$2" -o "$1" = "-h" ]; then echo "usage: $0 oldprefix newprefix" echo "example - $0 jirizouhar2020 jirizoubar2023" exit f past="$1" new="$2" #gen key openssl genrsa -out tempkey 4096 openssl pkcs8 -topk8 -in tempkey -out "$new.key" openssl rsa -pubout -in "tempkey" > "$new.pu...
true
a298a71a98d7c99ad0fdcd59b6d7a99584cdca13
Shell
CBIIT/ChIP_seq
/scripts/runBedCov4bam.SpikeIn.sh
UTF-8
1,451
2.859375
3
[]
no_license
#!/bin/bash module load bedtools out_file_count=${out_file}.cov.raw.bed out_file_spikescaled=${out_file}.cov.RRPM.bed bedtools multicov -bams $bam_1 $bam_2 $bam_3 $bam_4 -bed $bed_file > $out_file_count bam_path1=`dirname $bam_1` bam_path2=`dirname $bam_2` bam_path3=`dirname $bam_3` bam_path4=`dirname $bam_4` to...
true
c82178849ebd7d318d1a1e9719e751350f9d0b7f
Shell
nickv-nextcloud/travis-branch-only-update-script
/update.sh
UTF-8
787
3.28125
3
[ "MIT" ]
permissive
#!/bin/bash # # Checkout and update the branch on all repos echo "Checkout master" echo "======================" git checkout master echo "" echo "Delete existing branch" echo "======================" git branch -D update-travis-branches-only-setting echo "" echo "Checkout branch" echo "======================" git c...
true
b5530ac533cbf6df8074974419084a7c71df206c
Shell
FireLemons/Abbreviation-Autocomplete
/.git-hooks/pre-commit
UTF-8
1,163
3.90625
4
[ "MIT" ]
permissive
#!/bin/bash MINIFY_COMMAND="minify" if ! command -v $MINIFY_COMMAND &> /dev/null;then echo "command $MINIFY_COMMAND could not be found" exit 1 fi JSLastModified=$(date -r abbreviation-autocomplete.js +%s) minifiedJSLastModified=$(date -r abbreviation-autocomplete.min.js +%s) # Staged files changed_files=($(...
true
304ad6d2b3e1e07fed33fd02c26cad2b8f4ae697
Shell
yradsmikham/openhack-devops
/build.sh
UTF-8
1,142
3.359375
3
[ "MIT" ]
permissive
#!/bin/bash az login -u 'hacker6@OTAPRD170ops.onmicrosoft.com' -p 'haAWU@8$HbU0' # -e: immediately exit if any command has a non-zero exit status # -o: prevents errors in a pipeline from being masked # IFS new value is less likely to cause confusing bugs when looping arrays or arguments (e.g. $@) #script requires lat...
true
7d4c6163e1d2a24868c07b448eb036153e73ee92
Shell
ramr/dotfiles
/scripts/backup-media-volumes
UTF-8
1,024
3.9375
4
[ "MIT" ]
permissive
#!/bin/bash readonly SRC="/Volumes/Media" readonly DEST="/Volumes/Backups" readonly BWLIMIT=${BANDWIDTH_LIMIT:-1000} function _backup_dir() { local srcdir=$1 local destdir=$2 if [ -z "${srcdir}" ] || [ ! -d "${srcdir}" ]; then echo "ERROR: Invalid source directory ${srcdir}" exit 76 fi if [ -z "...
true
f5898228a8ce9743e0bd97aea94946295c1619bd
Shell
lishuna/mac-local-config
/技术类/run.sh-docker配置
UTF-8
1,143
3.09375
3
[]
no_license
#!/bin/bash set -x # start ssh service /etc/init.d/sshd start /etc/init.d/rsyslog start # 1 clone nginx files if [ -d "/nginx-file" ]; then cd /nginx-file git pull else git clone git@jdb-dev.com:docker/nginx-file.git if [ -n "$DEPLOY_BRANCH" ]; then cd /nginx-file git checkout $DEPLOY_BRANC...
true
23246996cbdb70a95d150622d22438e48874ffdb
Shell
xaliq2299/UFAZ-BSc
/L1/S1/Linux/BASH_MAGAUD/ex1.sh
UTF-8
165
2.875
3
[]
no_license
#!/bin/bash echo --- Hello $USER echo -n "Today is: "; date echo "root account has the following shell: " \ $(grep "^root" /etc/passwd | cut -d: -f7) #-d: without :
true
0fba80c45729bb80b411b901dd5521eeef9cb8b5
Shell
wutao0914/DataX
/core/src/main/bin/stop.sh
UTF-8
167
2.78125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash while read -r line do echo "==> kill datax app, PID: ${line}" kill -9 "${line}" 2>/dev/null done < datax.pid # kill后需删除pid文件 rm -f datax.pid
true
75566c761d57016a3546d435e1ce4eb80303af37
Shell
augustobmoura/dotfiles
/bin/hibernate
UTF-8
249
3.34375
3
[]
no_license
#! /bin/sh CMD=$(basename "$0") SYSTEMD=$(is_executable systemctl && echo 1) case "$CMD" in suspend) if [ "$SYSTEMD" ]; then exec systemctl suspend fi ;; hibernate) if [ "$SYSTEMD" ]; then exec systemctl hibernate fi ;; esac
true
c0b0d0167d4338fc1621f321658b6eb88b077178
Shell
Metnew/DIR-615-S-3.02
/listen-for-dump.sh
UTF-8
174
2.59375
3
[]
no_license
mkdir ./dump while true; do nc -l 8888 >> ./dump/archive.tar echo "Decompressing archive.tar" tar -xf ./dump/archive.tar -C ./dump rm ./dump/archive.tar done
true
23f5376878cafea1b0a3ed45af1357c706e47bdd
Shell
m4n0v31/stratis-dockerfile
/auto-stake.sh
UTF-8
342
2.578125
3
[ "MIT" ]
permissive
#!/bin/bash set -e echo "Starting Stratis daemon..." stratisd -datadir=$STRATIS_DATA_DIR -rescan -detachdb & echo "Waiting for daemon before unlocking wallet..." sleep 120 echo "Unlocking wallet for staking..." stratisd -datadir=$STRATIS_DATA_DIR walletpassphrase $WALLET_PASSPHRASE 9999999 true echo "Wallet unlocked...
true
fe0f1f81059028a69583f30880aa4a8dbe5e57b1
Shell
abislam/H4D_SimplifyingSystemsAdministration
/IndividualPolicies/v71939.sh
UTF-8
929
3.46875
3
[]
no_license
###############################################V-71939############################################# cat << inV71939 --------------------In V-71939 Script------------------- Configuring this setting for the SSH daemon provides additional assurance that remote logon via SSH will require a password, even in the event of ...
true
ffaae5077fab9e69383b37d18c360373c64370f4
Shell
dziq/configs
/bin/battery.sh
UTF-8
387
2.96875
3
[]
no_license
#!/bin/sh if grep -q on-line /proc/acpi/ac_adapter/ACAD/state; then exit 0 fi BAT_DIR=/proc/acpi/battery/BAT1 FULL_BAT=`grep 'last full capacity' ${BAT_DIR}/info | awk '{ print $4 }'` CUR_BAT=`grep 'remaining capacity' ${BAT_DIR}/state | awk '{ print $3 }'` AVG=`expr $(expr ${CUR_BAT} \* 100) / ${FULL_BA...
true
49597030869cf6518f8690c82c26e7773cdc924e
Shell
pgporada/pats
/pats_engine.bash
UTF-8
2,463
4.34375
4
[]
no_license
#!/bin/bash # AUTHOR: # Phil Porada - philporada@gmail.com # LICENSE: GPLv3 # HOW: # This file is sourced by each test_*.bash file # You can check the return code of each test_*.bash file to automate # ###################################### USE_COLOR=0 GRN="" RED="" RST="" YEL="" DEBUG_OUTPUT=0 COMPA...
true
94c10c1e8a1419ad3cfd4d7ae7c3405e2c138ffe
Shell
lmiori92/lorenz-onboard
/candump_to_binary.sh
UTF-8
936
3.0625
3
[ "MIT" ]
permissive
#!/bin/bash # STARTS WITH (000.000000) can0 666 [4] 48 41 43 4B 'HACK' # CONTINUES WITH (000.002008) can0 666 [8] 23 0C C5 0B C3 0B 01 01 '#.......' filename=$1 outfilename="$filename.bin" rm -f $outfilename while read p; do ID=$(echo -ne $p | gawk '{ print $3 }') DLC=$(echo -ne ...
true
5123792a37e8a3df3fce4e0ad2f8277fcc3bfe88
Shell
yajamon/dotfiles
/install.sh
UTF-8
365
3.4375
3
[]
no_license
#!/bin/bash DOTFILES_REPO="https://github.com/yajamon/dotfiles.git" DOT_PATH=$HOME/dotfiles if ! type -a git; then echo "REQUIRED COMMAND: git" >&2 exit 1 fi git clone --recursive $DOTFILES_REPO $DOT_PATH $DOT_PATH/setup.sh source $DOT_PATH/etc/lib/util.sh if is_osx; then bash $DOT_PATH/etc/init/osx.sh ...
true